package cn.com.countrygarden.bi.main.dto.dmn;

import cn.com.countrygarden.bi.main.model.dmn.DnmDomainInformation;

import java.util.List;

/**
 * @program: backEnd
 * @description: 域名信息自带分页
 * @author: bug大神
 * @create: 2024-07-25 14:59
 **/


public class DnmDomainInformationPage {
    List<DnmDomainInformation> list;
    int total;
    int pageNum;
    int pageSize;

    @Override
    public String toString() {
        return "DnmDomainInformationPage{" +
                "list=" + list +
                ", total=" + total +
                ", pageNum=" + pageNum +
                ", pageSize=" + pageSize +
                '}';
    }

    public DnmDomainInformationPage() {
    }

    public DnmDomainInformationPage(List<DnmDomainInformation> list, int total, int pageNum, int pageSize) {
        this.list = list;
        this.total = total;
        this.pageNum = pageNum;
        this.pageSize = pageSize;
    }

    public List<DnmDomainInformation> getList() {
        return list;
    }

    public void setList(List<DnmDomainInformation> list) {
        this.list = list;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getPageNum() {
        return pageNum;
    }

    public void setPageNum(int pageNum) {
        this.pageNum = pageNum;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }
}
